Skip to main content
GET
/
v1
/
rag
/
jobs
/
{jobId}
curl https://api.telzino.com/v1/rag/jobs/33333333-3333-3333-3333-333333333333 \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "data": {
    "status": "processing",
    "stage": "embedding",
    "chunks_processed": 8,
    "chunks_total": 24,
    "error_text": null,
    "source_id": "22222222-2222-2222-2222-222222222222"
  }
}

Path Parameters

jobId
string
required
Ingestion job ID returned by source creation or re-ingestion.
curl https://api.telzino.com/v1/rag/jobs/33333333-3333-3333-3333-333333333333 \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "data": {
    "status": "processing",
    "stage": "embedding",
    "chunks_processed": 8,
    "chunks_total": 24,
    "error_text": null,
    "source_id": "22222222-2222-2222-2222-222222222222"
  }
}

Status Values

StatusDescription
queuedThe job is waiting for a worker.
processingThe worker is crawling/parsing/chunking/embedding content.
completeIngestion finished successfully.
failedIngestion failed. See error_text.